Download it now!
Bug 127741 - FILEOPEN DOCX Hyperlink made in Word does not change color when clicked on in Writer
Summary: FILEOPEN DOCX Hyperlink made in Word does not change color when clicked on in...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.0 all versions
Hardware: All All
: medium normal
Assignee: Tünde Tóth
URL:
Whiteboard: target:6.4.0 target:6.3.4
Keywords: bibisected, bisected, filter:docx, regression
Depends on:
Blocks: DOCX-Hyperlink
  Show dependency treegraph
 
Reported: 2019-09-24 12:39 UTC by NISZ LibreOffice Team
Modified: 2019-10-31 13:15 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot of the problem in Writer (66.20 KB, image/png)
2019-09-24 12:41 UTC, NISZ LibreOffice Team
Details
Example file from Word (18.82 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2019-09-24 12:42 UTC, NISZ LibreOffice Team
Details

Note You need to log in before you can comment on or make changes to this bug.
Description NISZ LibreOffice Team 2019-09-24 12:39:12 UTC
Description:
In a simple file made in Word and opened in Writer clicking on the hyperlink does not change its color like in hyperlinks made in Writer.
The Character – Hyperlink tab shows the “Visited links” and “Unvisited links” as “ListLabel 1” instead of the default “Visited Internet Link” and “Internet Link” styles. 


Steps to Reproduce:
1.	Open attached document
2.	Right click on the link, open Character – Character, go to Hyperlink tab


Actual Results:
Visited links and Unvisited links fields contain “Listlabel 1”. Manually changing the Visited links to “Visited Internet Link” makes the link color change on clicking.

Expected Results:
They should contain the default character styles.


Reproducible: Always


User Profile Reset: No



Additional Info:
LibreOffice details:
Version: 6.4.0.0.alpha0+ (x86)
Build ID: 06925c1230cd6269fa5189ac3f4d608c9edf68e9
CPU threads: 4; OS: Windows 6.3; UI render: GL; VCL: win; 
TinderBox: Win-x86@42, Branch:master, Time: 2019-09-16_23:15:59
Locale: hu-HU (hu_HU); UI-Language: en-US
Calc: CL

Also happens in:

Verzió: 6.0.0.3
Build az.: 64a0f66915f38c6217de274f0aa8e15618924765
CPU szálak: 4; OS: Windows 6.3; Felületmegjelenítés: GL; 
Területi beállítások: hu-HU (hu_HU); Calc: CL

But does not happen in:

Version: 5.4.0.3
Build ID: 92c2794a7c181ba4c1c5053618179937228ed1fb
CPU threads: 4; OS: Windows 6.2; UI render: default; 
Locale: en-US (hu_HU); Calc: CL

Verzió: 5.2.0.4
Build az.: 066b007f5ebcc236395c7d282ba488bca6720265
CPU szálak: 4; Rendszer verziója: Windows 6.2; Felületmegjelenítés: alapértelmezett; 
Területi beállítások: hu-HU (hu_HU)

Version: 5.0.0.5
Build ID: 1b1a90865e348b492231e1c451437d7a15bb262b
Locale: hu-HU (hu_HU)

Verzió: 4.0.0.3 (Build az.: 7545bee9c2a0782548772a21bc84a9dcc583b89)

LibreOffice 3.5.0rc3 
Build ID: 7e68ba2-a744ebf-1f241b7-c506db1-7d53735
Comment 1 NISZ LibreOffice Team 2019-09-24 12:39:27 UTC
Bibisected using bibisect-win32-6.0 to:  
URL: https://cgit.freedesktop.org/libreoffice/core/commit/?id=eaa9cf6a3069fba3d82c046f0041bfb537d9e648
author	Vasily Melenchuk <Vasily.Melenchuk@cib.de>	2017-08-18 22:14:08 +0300
committer	Thorsten Behrens <Thorsten.Behrens@CIB.de>	2017-11-10 02:01:57 +0100
summary: tdf#43017: Support for DOCX hyperlinks character properties
Comment 2 NISZ LibreOffice Team 2019-09-24 12:39:40 UTC
Adding CC to: Vasily Melenchuk
Comment 3 NISZ LibreOffice Team 2019-09-24 12:41:51 UTC
Created attachment 154433 [details]
Screenshot of the problem in Writer
Comment 4 NISZ LibreOffice Team 2019-09-24 12:42:11 UTC
Created attachment 154434 [details]
Example file from Word
Comment 5 Xisco Faulí 2019-09-24 12:59:32 UTC
Reproduced in

Version: 6.4.0.0.alpha0+
Build ID: a283627036c9b1c56e4b765866b8fb8a26ec87ab
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded
Comment 6 László Németh 2019-10-03 08:50:43 UTC
Note: Clicking on a hyperlink change the color of the hyperlinks, but not immediately: press Enter before the hyperlink to show the color change.
Comment 7 Commit Notification 2019-10-12 08:01:52 UTC
Tünde Tóth committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/576611895e51186d38ddefa10ed8d66075d9de37

tdf#127741 DOCX import: format hyperlink with Default character style

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Xisco Faulí 2019-10-16 10:21:46 UTC
Verified in

Version: 6.4.0.0.alpha0+
Build ID: e2d82611088677f8ec9f038639567f2d7c699b5e
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Tünde Tóth, thanks for fixing this issue!
Comment 9 Xisco Faulí 2019-10-16 10:24:49 UTC
@Tünde Tóth, any chance this can be backported ?
Comment 10 Commit Notification 2019-10-22 11:45:22 UTC
Tünde Tóth committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/commit/ccb38977541c304ff08ebe1a1b24c512ab670acf

tdf#127741 DOCX import: format hyperlink with Default character style

It will be available in 6.3.4.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Xisco Faulí 2019-10-31 09:56:52 UTC
Hi Tünde Tóth, NISZ LibreOffice Team,

in

Version: 6.3.4.0.0+
Build ID: e93e0fb7ac8f14230434653e5d5f318707712667
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

I see Hyperlink tab in Character dialogs shows Visited links: Visited Internet link, however, clickin on the link doesn't change its color.
OTOH, it changes its color in

Version: 6.4.0.0.alpha1+
Build ID: 2d0a4182712673d8f7a5abe919cd2a1d5ece4a77
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

is there anything missing to be backported ?